{ ---------------------------------------------------------------------	}
{	㭪樨  ࠡ  															}
{ ---------------------------------------------------------------------	}

{ *********************************************************************	}
{ 쭠 প																	}
{ *********************************************************************	}
InterKadrDelay:
{ ३  ன  ॣ஢													}
	ENA SEC_REG;

{ ⨬   뢠, ஬ SPORT0 Transmit ()  IRQ2		}
	IFC=0x3F; NOP; NOP;

{ AX1 -  稪 ⮢  													}
	AX1=DM(Control_Table_Lenght);

{ 訬  稢 , .. ᤥ SCLK1 ७					}
	AR = 0x7F1F; 						{ 0111 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR; 		{ 0x3FF2 - SPORT1 Control Register		}

	RTI;

{ *********************************************************************	}
{ 祭   																}
{ *********************************************************************	}
GetAdData:
{ ३  ன  ॣ஢													}
	ENA SEC_REG;

{  ८ࠧ 															}
	AR=IO(START_ADC);

{ ⠭ ᫥騩 															}
	AR=DM(I5, M5);
	IO(SET_ADC_CHANNEL)=AR;

{ ⥭   																	}
	AR=IO(READ_ADC);
	AR=AR+AY1, AY1=DM(I1,M1);
	MR=AR*MY1(SU), MY1=DM(I2,M2);
	MR=MR(RND);
	DM(I3, M3)=MR1;
/*	modify(i3, m3);*/
	M3=0x1;
{	DM(AdcFifoPointer)=I3;	----- NOT USED -----									}

{ ᫨ 㦭 ᣥਬ 뢠  												}
	AF=AF-1;
	IF EQ CALL EnableMakeIrqPC;

{ ६㥬 稪 ⮢  	  ஢ਬ 㦭 				}
{ 														⠭  SCLK1 ()	}
	AR=AX1-1;
	AX1=AR;
	IF EQ JUMP StopAdc;

	RTI;

{ *********************************************************************	}
{ 	ਬ 뢠  PC																}
{ *********************************************************************	}
EnableMakeIrqPC:
{ 㧨 蠣 ⮢  ।   								}
	AR=DM(AdcDataStep);
	AF= PASS AR;

{ ⠭ 䫠,    FIFO  ⮢  ।  			}
	AR=0x1;
	DM(IsAdcDataReady)=AR;

	RTS;

{ *********************************************************************	}
{ ⠭ 								  												}
{ *********************************************************************	}
StopAdc:
{ ⠭  몫稢 , .. ᤥ SCLK1 譨					}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

	AR=DM(IsTtlKadrSynchro);
	NONE= PASS AR;
	IF NE JUMP EnableSynchroPulse;

	RTI;

{ *********************************************************************	}
{ 	訬 IRQE   -஢ ᨭ஭樨						}
{ *********************************************************************	}
EnableSynchroPulse:
{    ॣ IMASK   祭								}
	DIS INTS;
	POP STS;

	ENA SEC_REG;						{ ३  ன  ॣ஢		}

{ ࠧ訬 뢠 IRQ2(), IRQ1()  TIMER()					}
	AR=DM(IMASK_WORK);
	AR= SETBIT 4 OF AR;				{ ࠧ訬 뢠 IRQE					}
	AR= CLRBIT 0 OF AR;				{ ⨬ 뢠 TIMER				}
	IMASK=AR; NOP;

	DIS SEC_REG; 						{ ३    ॣ஢		}

	PUSH STS;

	IMASK=0x0; NOP;
	ENA INTS;

	RTI;

{ *********************************************************************	}
{  ⠭ ६ ࠬ஢ :   								}
{ 			 ᡮ     ஢ প  	}
{ *********************************************************************	}
Set_ADC_Pars_cmd:
{ ⠭  몫稢 , .. ᤥ SCLK1 譨					}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

{ Serial Clock Divide Modulus 														}
	AR = DM(ADC_Rate);			{  ᪠ 							}
	DM(Sport1_Sclkdiv) = AR;	{ 0x3FF1 - Serial Clock Divide Modulus		}

	JUMP GotoIdle;

{ *********************************************************************	}
{  ⠭  뢮   								}
{ *********************************************************************	}
Set_DAC_Rate_cmd:
	CALL WaitForEndOfDacTransfer;

{ SPORT0 - disable, SPORT1 - disable, SPORT1 - FI, FO, IRQ0, IRQ1, SCLK1}
	AR = 0x0000;					 	{ 0001 0000 0000 0000 						}
	DM(Sys_Ctrl_Reg) = AR;      	{ 0x3FFF - System Control Register 		}

{ Receive Frame Sync Divide Modulus 												}
	AR=DM(DAC_Rate);			{ ।  뢮 ⮢  	}
	AY0=17;
	AF=AR-AY0;
	IF LT AR = PASS AY0;
	DM(DAC_Rate)=AR;
	DM(Sport0_Rfsdiv) = AR;	{ 0x3FF0 - Receive Frame Sync Divide Modulus	}

{ SPORT0 - enable, SPORT1 - disable, SPORT1 - FI, FO, IRQ0, IRQ1, SCLK1	}
	AR = 0x1000;					 	{ 0001 0000 0000 0000 						}
	DM(Sys_Ctrl_Reg) = AR;      	{ 0x3FFF - System Control Register 		}

	JUMP GotoIdle;

{ *********************************************************************	}
{  砫 ࠡ     ⮬ ᫥  뢠				}
{ *********************************************************************	}
Start_cmd:
Restart_All:
{	CALL WaitForEndOfDacTransfer;} {   ???									}

	AR=DM(DAC_Enable);
	AY0=DM(ADC_Enable);
	NONE= AR OR AY0;
	IF EQ JUMP GotoIdle;

{ ஢ਬ ࠧ襭  ࠡ 													}
	AR=DM(DAC_Enable);
	AF= PASS AR;
	IF EQ CALL TurnOffDac;
	AF= PASS AF;
	IF NE CALL TurnOnDac;

	DIS INTS;	 				{ ⨬  뢠							}

{ ⨬  ⥪ 																		}
ClearStacks1:
	POP STS, POP PC, POP CNTR, POP LOOP;
	ENA SEC_REG;				{ ३  ன  ॣ஢				}
	AR=SSTAT;
	AY0=0x55;
	AR=AR AND AY0;
	AR=AR XOR AY0;
	IF NE JUMP ClearStacks1;{ ᫨   ⥪ ⨫,  ਬ	}

	IMASK=0x0; NOP;         { ᪨㥬  뢠						}
	ENA INTS;  					{ ࠧ訬  뢠							}

	DIS TIMER;      			{ 몫稬 ⠩ - ஢ প		}
{ ⠭  몫稢 , .. ᤥ SCLK1 譨					}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

	AR=^MainLoopEntry;
	TOPPCSTACK=AR;				{ ᥬ  楤 				}

	AR=DM(Command);
	IO(PC_OUT)=AR;	NOP;		{ ᮮ騬  PC  ࠡ⠭ 		}

{    ⠥  믮 							}
WaitAdcLoop:
	AR=DM(Prog_Flag_Data);	{ ⠥  ⮢							}
	AR=TSTBIT 1 OF AR;		{ 뤥   ஢ਬ  					}
	IF NE JUMP WaitAdcLoop;	{ ᫨  ,   					}

	DIS SEC_REG;				{ ३    ॣ஢				}
	PUSH STS;					{   ⥪									}

	IFC=0xFF; NOP;				{ ᨬ    뢠				}

	RTI;

{ *********************************************************************	}
{ 㭪  襭 । ⥪饣   				}
{ *********************************************************************	}
WaitForEndOfDacTransfer:
	IF FLAG_IN JUMP WaitStartTransfer;
	JUMP WaitForEndOfDacTransfer;

WaitStartTransfer:
	IF NOT FLAG_IN JUMP WaitEndTransfer;
	JUMP WaitStartTransfer;

WaitEndTransfer:
	IF FLAG_IN JUMP FinishWaiting;
	JUMP WaitEndTransfer;

FinishWaiting:
	RTS;

{ *********************************************************************	}
{ 㭪 祭 ࠡ 														}
{ *********************************************************************	}
TurnOnDac:
{ ⠭ ᮮ⢥騩   ६ ᪥ 뢠				}
	AR=DM(IMASK_WORK);
	AR= SETBIT 6 OF AR;
	DM(IMASK_WORK)=AR;

{ ந樠㥬 室 㪠⥫  ६ '				}
	CALL InitDacPointers;

	RTS;

{ *********************************************************************	}
{ 㭪 몫祭 ࠡ 														}
{ *********************************************************************	}
TurnOffDac:
{ ᨬ ᮮ⢥騩   ६ ᪥ 뢠					}
	AR=DM(IMASK_WORK);
	AR= CLRBIT 6 OF AR;
	DM(IMASK_WORK)=AR;

	RTS;

{ *********************************************************************	}
{ ࠡ稪 뢠  ᯥ樠쭮 몫祭 ࠡ 				}
{ *********************************************************************	}
DacMustDie:
	DIS INTS;	 				{ ⨬  뢠							}
	POP STS;
	IMASK=DM(IMASK_WORK); NOP;
	PUSH STS;
	IMASK=0x0; NOP;
	ENA INTS;  					{ ࠧ訬  뢠							}

	ENA SEC_REG;				{ ३  ன  ॣ஢				}

{ ⠭ 䫠 室  뢠  					}
	AR=0x1;
	DM(IsLastDacSampleIrq)=AR;

	RTI;
