{ ********************************************************************* }
{ 㭪樨  ࠡ  FIFO ஬      L780,				}
{ 						 ன   ⠭ ADSP-2184/2185/2186	}
{ ********************************************************************* }

{ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!	}
{ *********************************************************************	}
{   䨣஢ FIFO   										}
{  ⠭ 祭  FIFO,     ࠧ饭  	}
{ *********************************************************************	}
ADC_Fifo_Config_cmd:
{ ⠭  몫稢 , .. ᤥ SCLK1 譨					}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

ConfigFifo:
	AR=DM(NewAdcFifoLength);
	AF=AR-512;
	IF LT AR= PASS 512;
	DM(NewAdcFifoLength)=AR;

	AR=DM(ADCFifoBaseAddressIndex);
	AF=PASS AR;
   IF EQ JUMP ADCFifoConfig0;
	AF=AF-1;
	IF EQ JUMP ADCFifoConfig1;
	AF=AF-1;
	IF EQ JUMP ADCFifoConfig2;

{ 㩤  ⨭		 																	}
	JUMP GotoIdle;

{ *********************************************************************	}
{  !!!!!  쪮  ADSP-2185   稨 譥   !!!!!		}
{  ADC FIFO 稭   DM 0x0 (0),										}
{    ᨬ쭠    0x3800 (14336=8192+4096+2048)		}
{ ********************************************************************* }
ADCFifoConfig0:
	AR=DM(IsExtMemoryExist);{ 㧭    					}
	AF= PASS AR;
	AR=DM(DSP_Type);			{ 㧭 ⨯ ⠭  㫥 DSP		}
	AR=AR AND 0x1;          {  2185											}
	AF=AR OR AF;
	IF EQ JUMP GotoIdle; 	{ ᫨ ,  室								}

	AR=0x0;
	DM(AdcFifoBaseAddress)=AR;
	AR=DM(DSP_Type);			{ 㧭 ⨯ ⠭  㫥 DSP		}
	NONE= PASS AR;				{ ᫨ ADSP-2184,    FIFO 	}
	AR=0x3800;					{  0x2800											}
	AY0=0x2800;
	IF EQ AR= PASS AY0;
	AY0=AR;
	AR=DM(NewAdcFifoLength);
	AF=AR-AY0;
	IF GT AR= PASS AY0;
	DM(AdcFifoLength)=AR;

{ 㩤  ⨭		 																	}
	JUMP GotoIdle;

{ ********************************************************************* }
{  !!!!!    ADSP-2184  !!!!!													}
{  ADC FIFO 稭   DM 0x2000 (8192),								}
{    ᨬ쭠    0x1800 (4096+2048=6144)				}
{ ********************************************************************* }
ADCFifoConfig1:
   AR=DM(DSP_Type);			{ 㧭 ⨯ ⠭  㫥 DSP		}
	NONE= PASS AR;				{ ᫨ ADSP-2184,  室						}
	IF EQ JUMP GotoIdle;

	AR=0x2000;
	DM(AdcFifoBaseAddress)=AR;
	AR=DM(NewAdcFifoLength);
	AY0=0x1800;
	AF=AR-AY0;
	IF GT AR= PASS AY0;
	DM(AdcFifoLength)=AR;

{ 㩤  ⨭		 																	}
	JUMP GotoIdle;

{ *********************************************************************	}
{  ADC FIFO 稭   DM 0x2000 (8192)  ADSP-2184				}
{	 					  DM 0x3000 (12288)  ADSP-2185  ADSP-2186	}
{    ᨬ쭠    0x800 (2048)								}
{ ********************************************************************* }
ADCFifoConfig2:
	AR=DM(DSP_Type);			{ 㧭 ⨯ ⠭  㫥 DSP		}
	NONE= PASS AR;
	AR=0x3000;              { ᫨  ADSP-2184,  FIFO   0x3000	}
	IF EQ AR= PASS 0x2000;  { ᫨ ADSP-2184,  FIFO   0x2000		}

	DM(AdcFifoBaseAddress)=AR;
	AR=DM(NewAdcFifoLength);
	AF=AR-0x800;
	IF GT AR= PASS 0x800;
	DM(AdcFifoLength)=AR;

{ 㩤  ⨭		 																	}
	JUMP GotoIdle;


{ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!	}
{ ********************************************************************* }
{   䨣஢ FIFO   										}
{ ********************************************************************* }
DAC_Fifo_Config_cmd:
	AR=DM(DSP_Type);			{ 㧭 ⨯ ⠭  㫥 DSP		}
	AF=PASS AR;
	IF EQ JUMP DacFifoConfig0; { ⠭ ADSP-2184							}
	AF=AF-0x1;
	IF EQ JUMP DacFifoConfig1;	{ ⠭ ADSP-2185							}
	AF=AF-0x1;
	IF EQ JUMP DacFifoConfig2; { ⠭ ADSP-2186							}

	JUMP GotoIdle;

{ *********************************************************************	}
{  !!!!!   ADSP-2184  !!!!!														}
{  DAC FIFO 稭   PM AX0=0xC00 (3072),							}
{    ᨬ쭠    AY0=0x400 (1024)							}
{ ********************************************************************* }
DacFifoConfig0:
	AX0=0xC00;               		{   FIFO 					}
	AR=DM(NewDacFifoLength);   	{ 㦭  FIFO 						}
	AY0=0x400; 							{ ᨬ쭮   FIFO 	}

	JUMP SetDacParam;

{ *********************************************************************	}
{  !!!!!   ADSP-2185  !!!!!														}
{  DAC FIFO 稭   PM AX0=0x3000 (12288),						}
{    ᨬ쭠    AY0=0x1000 (4096)						}
{ ********************************************************************* }
DacFifoConfig1:
	AX0=0x3000;							{   FIFO 					}
	AR=DM(NewDacFifoLength);		{ 㦭  FIFO 						}
	AY0=0x1000;							{ ᨬ쭮   FIFO 	}

	JUMP SetDacParam;

{ *********************************************************************	}
{  !!!!!   ADSP-2186  !!!!!														}
{  DAC FIFO 稭   PM AX0=0x1800 (6144),							}
{    ᨬ쭠    AY0=0x800 (2048)							}
{ ********************************************************************* }
DacFifoConfig2:
	AX0=0x1800;              		{   FIFO 					}
	AR=DM(NewDacFifoLength);     	{ 㦭  FIFO 						}
	AY0=0x800;                		{ ᨬ쭮   FIFO 	}

{ *********************************************************************	}
{ ⠭ ࠬ஢ FIFO  												}
{ *********************************************************************	}
SetDacParam:
	DM(DacFifoBaseAddress)=AX0;
	NONE=AR-AY0;
	IF GT AR= PASS AY0;
	DM(DacFifoLength)=AR;		{ ⠭  FIFO 				}

{ 㩤  ⨭		 																	}
	JUMP GotoIdle;

{ ********************************************************************* }
{   ⠭  譥 ࠭ 							}
{ ********************************************************************* }
Set_Memory_Page_cmd:
{ ⮫쪮  ADSP-2184																	}
	AR=DM(DSP_Type);
	NONE= PASS AR;
	IF NE JUMP GotoIdle;

{ ⠭  ⨢ ࠭ 譥  					}
	AR=DM(PageNumber);
	IO(PAGE_MEMORY)=AR;

{ 㩤  ⨭		 																	}
	JUMP GotoIdle;

{ ********************************************************************* }
{ ⠭ 㦭 DMOVLAY  PMOVLAY												}
{ ********************************************************************* }
SetPmDmOvlays:
	AR=DM(DSP_Type);
	AR=AR-0x1;
	IF EQ JUMP Set2185PmDmOvlays;

{  2184  2186 PMOVLAY  DMOVLAY ᥣ  							}
	PMOVLAY=0x1;
	DMOVLAY=0x1;

	RTS;

Set2185PmDmOvlays:
{  2185 PMOVLAY  DMOVLAY ᥣ  										}
	PMOVLAY=0x0;
	DMOVLAY=0x0;

	RTS;
