{ ---------------------------------------------------------------------	}
{ ***************************  L783 ******************************	}
{ ---------------------------------------------------------------------	}
{ !!!!!!!!!!!!!!!!!!!!!!   !!!!!!!!!!!!!!!!!!!!!!!! }
{ --------------------------------------------------------------------- }

{***********************************************************************}
{ Bufer for ADC Data																		}
.VAR/SEG=INT_DM_USER/ABS=0x2000/DM/RAM/CIRC ADC_Buffer[2048];

{ bufer for DAC Data (PM)                                       			}
.VAR/SEG=INT_PM_USER/ABS=0x0C00/PM/RAM/CIRC DAC_Buffer[1023];
{***********************************************************************}


{***********************************************************************}
{ User Variables																			}
{***********************************************************************}

{ Buffer for SPORT0 AutoBuffering --- NOT USED       							}
{.VAR/SEG=INT_DM_USER/ABS=0x2800/DM/RAM/CIRC SportBuffer[SPORT_SIZE];
	}
{ Control Table 																			}
.VAR/SEG=INT_DM_USER/ABS=0x2A00/DM/RAM Control_Table[128];
.INIT Control_Table:   	0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
								0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2B00/DM/RAM ScaleFactorArray[128];
.VAR/SEG=INT_DM_USER/ABS=0x2C00/DM/RAM ZeroOffsetArray[128];

{ Scale for all gains and channels                                      }
.VAR/SEG=INT_DM_USER/ABS=0x2D00/DM/RAM ScaleFactor[4];
.INIT ScaleFactor:      0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF;

{ ZeroOffset for all gains and channels                   					}
.VAR/SEG=INT_DM_USER/ABS=0x2D04/DM/RAM ZeroOffset[4];
.INIT ZeroOffset:      	0x0, 0x0, 0x0, 0x0;

{  Control Table 																	}
.VAR/SEG=INT_DM_USER/ABS=0x2D08/DM/RAM Control_Table_Lenght;
.INIT Control_Table_Lenght: 0x8;

{ ⨯ :   ७												}
.VAR/SEG=INT_DM_USER/ABS=0x2D09/DM/RAM MemoryType;
.INIT MemoryType: 0x1;

{     															}
.VAR/SEG=INT_DM_USER/ABS=0x2D0A/DM/RAM IsExtMemoryExist;
.INIT IsExtMemoryExist: 0x0;

{  譥 ࠭ 														}
.VAR/SEG=INT_DM_USER/ABS=0x2D0B/DM/RAM PageNumber;
.INIT PageNumber: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D0C/DM/RAM AdcCounter;
.VAR/SEG=INT_DM_USER/ABS=0x2D0D/DM/RAM DacCounter;

{ Current Enable FIFO ADC Irq to PC                              			}
.VAR/SEG=INT_DM_USER/ABS=0x2D0E/DM/RAM CurEnableAdcIrq;
.INIT CurEnableAdcIrq: 0x0;

{ Current Enable FIFO DAC Irq to PC                              			}
.VAR/SEG=INT_DM_USER/ABS=0x2D0F/DM/RAM CurEnableDacIrq;
.INIT CurEnableDacIrq: 0x0;

{ 䫠 ⮢  쭥襩 ࠡ ᫥ 㧪 DSP					}
{.VAR/SEG=INT_DM_USER/ABS=0x2D40/DM/RAM Ready;
.INIT Ready: 0x0;             ----  NOT USED ---								}

{ Test Var 1                                                     			}
.VAR/SEG=INT_DM_USER/ABS=0x2D41/DM/RAM TMode1;
.INIT TMode1: 0x3333;

{ Test Var 2                                                     			}
.VAR/SEG=INT_DM_USER/ABS=0x2D42/DM/RAM TMode2;
.INIT TMode2: 0x7777;

{ Enable FIFO DAC Irq to PC                                      			}
.VAR/SEG=INT_DM_USER/ABS=0x2D43/DM/RAM EnableDacIrq;
.INIT EnableDacIrq: 0x0;

{  ADSP-2184 㦭 DSP_Type=0,      	                     			}
{   ADSP-2185 - DSP_Type=1, 		     	                     			}
{   ADSP-2186 - DSP_Type=2  		  			                    			}
.VAR/SEG=INT_DM_USER/ABS=0x2D48/DM/RAM DSP_Type;
.INIT DSP_Type: 0x0;

{ command for IRQ2 DSP                                           			}
.VAR/SEG=INT_DM_USER/ABS=0x2D49/DM/RAM Command;

{ প  ࢮ   FIFO                   			}
.VAR/SEG=INT_DM_USER/ABS=0x2D4A/DM/RAM FirstSampleDelay;
.INIT FirstSampleDelay: 0x63; 	{ 99 - প  2.5 					}

{ Step in FIFO for receiving DAC Data from PC                    			}
.VAR/SEG=INT_DM_USER/ABS=0x2D4B/DM/RAM DacDataStep;
.INIT DacDataStep: 0x200;

{ Ttl Out var                                       							}
.VAR/SEG=INT_DM_USER/ABS=0x2D4C/DM/RAM TtlOut;
.INIT TtlOut: 0x0;

{ Ttl in var                                                    			}
.VAR/SEG=INT_DM_USER/ABS=0x2D4D/DM/RAM TtlIn;
.INIT TtlIn: 0x0;

{  ࠧ襭/饭 뢮  										}
.VAR/SEG=INT_DM_USER/ABS=0x2D4E/DM/RAM EnableTtlOut;
.INIT EnableTtlOut: 0x0;

{ DAC Fifo Pointer																		}
{.VAR/SEG=INT_DM_USER/ABS=0x2D4F/DM/RAM DacFifoPointer;
.INIT DacFifoPointer: 0xC00;	----- NOT USED -----								}

{ ADC Fifo Pointer																		}
{.VAR/SEG=INT_DM_USER/ABS=0x2D50/DM/RAM AdcFifoPointer;
.INIT AdcFifoPointer: 0x3000;	----- NOT USED -----								}

{ 䫠,  뫮 뢠  												}
.VAR/SEG=INT_DM_USER/ABS=0x2D51/DM/RAM IsAdcSample;
.INIT IsAdcSample: 0x0;

{ Test Variable                                                 			}
.VAR/SEG=INT_DM_USER/ABS=0x2D52/DM/RAM TestLoadVar;
.INIT TestLoadVar: 0x1234;

{ ADC Rate Variable                                                 		}
.VAR/SEG=INT_DM_USER/ABS=0x2D53/DM/RAM ADC_Rate;
.INIT ADC_Rate: 199;

{ 稭 襣 祭 ਮ 										}
{												  뢠  TIMER'a		}
.VAR/SEG=INT_DM_USER/ABS=0x2D54/DM/RAM Inter_Kadr_Scale;
.INIT Inter_Kadr_Scale: 0x0;

{ DAC Rate Variable                                               		}
.VAR/SEG=INT_DM_USER/ABS=0x2D55/DM/RAM DAC_Rate;
.INIT DAC_Rate: 49;

{ 室 祭 '		                                         	}
{.VAR/SEG=INT_DM_USER/ABS=0x2D56/DM/RAM DAC_Value;	----- NOT USED -----	}

{ Enable FIFO ADC Irq to PC                                      			}
.VAR/SEG=INT_DM_USER/ABS=0x2D57/DM/RAM EnableAdcIrq;
.INIT EnableAdcIrq: 0x0;

{ Step in FIFO for transfering ADC Data to PC                    			}
.VAR/SEG=INT_DM_USER/ABS=0x2D58/DM/RAM AdcDataStep;
.INIT AdcDataStep: 0x400;

{  室  뢠    ᫥ 			}
{ 												  뢮 ⮪ 	}
.VAR/SEG=INT_DM_USER/ABS=0x2D59/DM/RAM IsLastDacSampleIrq;
.INIT IsLastDacSampleIrq: 0x0;

{ 稭 襣 ᫮ ਮ    뢠  TIMER	}
.VAR/SEG=INT_DM_USER/ABS=0x2D5A/DM/RAM Inter_Kadr_Period;
.INIT Inter_Kadr_Period: 0x1FFF;  	{ 8191 - প  204.8 		}

{  ⮢   FIFO   ।  						}
.VAR/SEG=INT_DM_USER/ABS=0x2D5B/DM/RAM IsAdcDataReady;
.INIT IsAdcDataReady: 0x0;

{ 祭 ⭮   												}
.VAR/SEG=INT_DM_USER/ABS=0x2D5C/DM/RAM AdSample;
.INIT AdSample: 0x0;

{ ᪨    ⭮   						}
.VAR/SEG=INT_DM_USER/ABS=0x2D5D/DM/RAM AdChannel;
.INIT AdChannel: 0x0;

{ ⥫ SCLK0_DIV  ࠡ '	 	              						}
.VAR/SEG=INT_DM_USER/ABS=0x2D5E/DM/RAM SCLK0_DIV;
.INIT SCLK0_DIV: 0x7;

.VAR/SEG=INT_DM_USER/ABS=0x2D5F/DM/RAM IMASK_IDLE;
.INIT IMASK_IDLE: 0x200;

{  ࠧ襭/饭 ४஢ 室 					}
.VAR/SEG=INT_DM_USER/ABS=0x2D60/DM/RAM IsCorrectionEnable;
.INIT IsCorrectionEnable: 0x0;

{  ࠧ襭/饭 ४஢ 室 					}
.VAR/SEG=INT_DM_USER/ABS=0x2D61/DM/RAM IMASK_WORK;
.INIT IMASK_WORK: 0x205;

{  ࠧ襭/饭 ࠡ                  					}
.VAR/SEG=INT_DM_USER/ABS=0x2D62/DM/RAM ADC_Enable;
.INIT ADC_Enable: 0x0;

{ 騩   FIFO                           			}
.VAR/SEG=INT_DM_USER/ABS=0x2D63/DM/RAM AdcFifoBaseAddress;
.INIT AdcFifoBaseAddress: 0x2000;

{    FIFO                           			}
.VAR/SEG=INT_DM_USER/ABS=0x2D64/DM/RAM ADCFifoBaseAddressIndex;
.INIT ADCFifoBaseAddressIndex: 0x2;

{   FIFO  								           			}
.VAR/SEG=INT_DM_USER/ABS=0x2D65/DM/RAM AdcFifoLength;
.INIT AdcFifoLength: 0x800;

{  FIFO  ,  ⥫  ⠭          			}
.VAR/SEG=INT_DM_USER/ABS=0x2D66/DM/RAM NewADCFifoLength;
.INIT NewADCFifoLength: 0x800;

{  ࠧ襭/饭 ࠡ   ० 뢮  		}
.VAR/SEG=INT_DM_USER/ABS=0x2D67/DM/RAM DAC_Enable;
.INIT DAC_Enable: 0x0;

{ 騩   FIFO                           			}
.VAR/SEG=INT_DM_USER/ABS=0x2D68/DM/RAM DacFifoBaseAddress;
.INIT DacFifoBaseAddress: 0xC00;

{   FIFO  								             			}
.VAR/SEG=INT_DM_USER/ABS=0x2D69/DM/RAM DacFifoLength;
.INIT DacFifoLength: 0x400;

{  FIFO  ,  ⥫  ⠭            			}
.VAR/SEG=INT_DM_USER/ABS=0x2D6A/DM/RAM NewDacFifoLength;
.INIT NewDacFifoLength: 0x400;

{   FIFO  							            			}
.VAR/SEG=INT_DM_USER/ABS=0x2D6B/DM/RAM HalfDacFifoBuffer;
.INIT HalfDacFifoBuffer: 0xE00;

.VAR/SEG=INT_DM_USER/ABS=0x2D6C/DM/RAM FirstHalfDacFifoCounter;
.INIT FirstHalfDacFifoCounter: 0x200;

.VAR/SEG=INT_DM_USER/ABS=0x2D6D/DM/RAM SecondHalfDacFifoCounter;
.INIT SecondHalfDacFifoCounter: 0x200;

{-----------------------------------------------------------------------}
{  ६																	}
.VAR/SEG=INT_DM_USER/ABS=0x2D6E/DM/RAM PM_Data;
.INIT PM_Data: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D6F/DM/RAM PX_Reg;
.INIT PX_Reg: 0x0;
{-----------------------------------------------------------------------}

{-----------------------------------------------------------------------}
{ Synchro Config																			}
.VAR/SEG=INT_DM_USER/ABS=0x2D70/DM/RAM SynchroType;
.INIT SynchroType: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D71/DM/RAM IsTtlKadrSynchro;
.INIT IsTtlKadrSynchro: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D72/DM/RAM AdSynchroFlag;
.INIT AdSynchroFlag: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D73/DM/RAM SynchroAdChannel;
.INIT SynchroAdChannel: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D74/DM/RAM SynchroAdPorog;
.INIT SynchroAdPorog: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D75/DM/RAM SynchroAdMode;
.INIT SynchroAdMode: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D76/DM/RAM SynchroAdSensitivity;
.INIT SynchroAdSensitivity: 0x0;

.VAR/SEG=INT_DM_USER/ABS=0x2D77/DM/RAM AdSynchroStep;
{-----------------------------------------------------------------------}

{ ------------------- ६  ࠡ   -------------------- }
.VAR/SEG=INT_DM_USER/ABS=0x2D78/DM/RAM EnableFlash;
.INIT EnableFlash: 0x0;
.VAR/SEG=INT_DM_USER/ABS=0x2D79/DM/RAM FlashAddress;
.INIT FlashAddress: 0x0;
.VAR/SEG=INT_DM_USER/ABS=0x2D7A/DM/RAM FlashData;
.INIT FlashData: 0x0;


.VAR/SEG=INT_DM_USER/ABS=0x2e00/DM/RAM Test;
.INIT Test: 0x1111;

.VAR/SEG=INT_DM_USER/ABS=0x2e01/DM/RAM Test1;
.INIT Test1: 0x2222;

.VAR/SEG=INT_DM_USER/ABS=0x2e02/DM/RAM Test2;
.INIT Test2: 0x3333;

.VAR/SEG=INT_DM_USER/ABS=0x2e03/DM/RAM Test3;
.INIT Test3: 0x4444;

{2FFF -> Last Data Memory Word  														}
