{ ********************************************************************* }
{  ᭮ ணࠬ  ࠡ c ⮩ L-1450                 			}
{ ********************************************************************* }
.MODULE/ABS=0/SEG=int_pm_user                 main_program;

#include "const.h"
#include "var.h"

{ ********************************************************************* }
{ !!!!!!!!!!!!!!!!!!    !!!!!!!!!!!!!!!!!!!!! }
{ *********************************************************************	}
{ 	RESET 																					}
Start:
	JUMP StartBIOS; NOP; NOP; NOP;

{ *********************************************************************	}
{ 	ࠡ稪 뢠 IRQ2 -                              		}
{ *********************************************************************	}
	JUMP Irq2Handler; NOP; NOP; NOP;

{ *********************************************************************	}
{ 	ࠡ稪 뢠 IRQL1 														}
{ *********************************************************************	}
	RTI; NOP; NOP; NOP;

{ *********************************************************************	}
{ 	ࠡ稪 뢠 IRQL0                                				}
{ *********************************************************************	}
	RTI; NOP; NOP; NOP;

{ *********************************************************************	}
{ 	ࠡ稪 뢠 SPORT0 Transmit (뢮  )						}
{ *********************************************************************	}
	SI=PM(I4, M4);	TX0=SI; RTI; NOP;

{ *********************************************************************	}
{ 	ࠡ稪 뢠 SPORT0 Receive											}
{ *********************************************************************	}
	JUMP DacMustDie; NOP; NOP; NOP;

{ *********************************************************************	}
{ 	ࠡ稪 뢠 IRQE ( ᨭ஭)							}
{ *********************************************************************	}
	JUMP IrqEHandler; NOP; NOP; NOP;

{ *********************************************************************	}
{ 	ࠡ稪 뢠 BDMA															}
{ *********************************************************************	}
	RTI; NOP; NOP; NOP;

{ *********************************************************************	}
{	ࠡ稪 뢠 SPORT1 Transmit/IRQ1 (  )				}
{ *********************************************************************	}
Irq1_Handler:	JUMP GetAdData; NOP; NOP; NOP;

{ *********************************************************************	}
{ ࠡ稪 뢠 SPORT1 Receive (IRQ0 - . ᨭ஭)		}
{ *********************************************************************	}
	RTI; NOP; NOP; NOP;

{ *********************************************************************	}
{	ࠡ稪 뢠 Timer														}
{ *********************************************************************	}
	JUMP InterKadrDelay; NOP; NOP; NOP;

{ *********************************************************************	}
{	ࠡ稪 뢠 Powerdown													}
{ *********************************************************************	}
	RTI; NOP; NOP; NOP;

{ After DSP RESET we appear to be here                                  }
StartBIOS:
	DIS SEC_REG;  						{ ३    ॣ஢		}

{ Set Wait State for ALL External Devices                   				}
	AR = 0x0001;						{ 0000 0000 0000 0001 						}
	DM(Dm_Wait_Reg) = AR;			{ 0x3FFE - Waitstate Control Register 	}

{ SPORT0 - disable, SPORT1 - disable, SPORT1 - FI, FO, IRQ0, IRQ1, SCLK1}
	AR=0x0;
	DM(Sys_Ctrl_Reg)=AR;				{ 0x3FFF - System Control Register 		}

{ *********************************************************************	}
{ 	Set SPORT0 for transmit digital codes in DAC                    	 	}
{ 	SCLK and Transmit Frame - internal, word = 16 bits                	}
{ 	Serial Clock Divide Modulus 														}
	AR = DM(SCLK0_DIV);				{ SCLK0 period = 400 ns						}
	DM(Sport0_Sclkdiv) = AR;		{ 0x3FF5 - Serial Clock Divide Modulus	}

{ Receive Frame Sync Divide Modulus 												}
	AR = DM(DAC_Rate);		{ ।  뢮 ⮢  '	}
	DM(Sport0_Rfsdiv) = AR; { 0x3FF4 - Receive Frame Sync Divide Modulus }

{ Control word for SPORT1 : SCLK - internal 										}
{ low level, alternate internal receive frame on each word(16 bit) 		}
{ low level, alternate external transmit frame on each word(16 bit)		}
	AR = 0x7DCF;						{ 0111 1101 1100 1111						}
	DM(Sport0_Ctrl_Reg) = AR;		{ 0x3FF6 - SPORT0 Control Register		}
{ *********************************************************************	}

{ *********************************************************************	}
{ * Set SPORT1 for start of ADC chip	                           	 *	}
{ Serial Clock Divide Modulus 														}
	AR = DM(ADC_Rate);			{  ᪠ 							}
	DM(Sport1_Sclkdiv) = AR;	{ 0x3FF1 - Serial Clock Divide Modulus		}

{ Receive Frame Sync Divide Modulus 												}
	AR = 0xF;					{ RFS period = 16 SCLK	 							}
	DM(Sport1_Rfsdiv) = AR;	{ 0x3FF0 - Receive Frame Sync Divide Modulus	}

{ Control word for SPORT1 : SCLK - external 										}
{ high level, alternate internal receive frame on each word(16 bit)		}
{ high level, alternate internal transmit frame on each word(16 bit)		}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}
{ *********************************************************************	}

{ IRQ0, IRQ1, IRQ2 - negative front, disable Interrupt Nesting 			}
	ICNTL=0x07;

{ ⠭ 䫠 FLx  室 ﭨ										}
	RESET FL0, RESET FL1, RESET FL2;
{ ࠧ訬 뢮  																	}
	RESET FLAG_OUT;

{ ⠭ 䫠 PFx: PF0  PF5 - 室,  PF1-PF4,PF6,PF7 - 室	}
	AR=0x21;							{	0010 0001										}
	DM(Prog_Flag_Comp_Sel_Ctrl)=AR;

	DMOVLAY=0x1;
	PMOVLAY=0x1;

{ ⠭  ⨢ ࠭ 譥  					}
{     LBIOS 㤥 㯭 ⮫쪮  ADSP-2184	}
	AR=DM(PageNumber);
	IO(PAGE_MEMORY)=AR;

{ ந樠㥬 室 㪠⥫  ६						}
	CALL InitAdcPointers;
	CALL InitDacPointers;

{ 襬  ᮮ⢥騥 ६ 室 祭					}
	AR=0x5555; DM(TMode1)=AR;
	AR=0xAAAA; DM(TMode2)=AR;

	AR=IO(PC_IN);                 { ⨬ ॣ ⥭  PC 		}
	AR=0xAAAA;							{ ⮢ 祭							}
	IO(PC_OUT)=AR;						{ ᮮ騬 PC  ⮬,    浪	}
	CALL WaitReadFromPc;				{ ,  PC ⠥  		}

{ SPORT0 - enable, SPORT1 - disable, SPORT1 - FI, FO, IRQ0, IRQ1, SCLK1	}
	AR = 0x1000;					 	{ 0001 0000 0000 0000 						}
	DM(Sys_Ctrl_Reg) = AR;      	{ 0x3FFF - System Control Register 		}

{ ⨬    뢠													}
	IFC = 0xFF; NOP; NOP;

{ ࠧ訬 뢠 IRQ2																}
	IMASK=DM(IMASK_IDLE); NOP;

{ =====================================================================	}
{ ᭮ 横 																}
{ =====================================================================	}
IdleLoop:
	AR=DM(Prog_Flag_Data);			{ ⠥  ⮢					}
	AR=TSTBIT 2 OF AR;				{ 뤥   ஢ਬ  			}
	IF NE JUMP IdleLoop;				{ ᫨  ,   横				}

	AR=IO(PC_IN);						{ ⠥ 祭  					}
	SR=LSHIFT AR BY -13 (LO);		{   ।  筮 }
	AF=SR0-0x1;							{ 뢮 	 13    '1',}
	IF NE JUMP IdleLoop;				{  14  15 ⠭  '0'				}
	TX0=AR; 								{ 孥   SPORT0	 			}

	JUMP IdleLoop;

{ =====================================================================	}
{ ᭮ 横 ࠡ 	/ 												}
{ =====================================================================	}
MainLoopEntry:
{  ,  ⠭ 													}
	AR=DM(ADC_Enable);
	NONE= PASS AR;
	IF NE CALL StartAdc;

{ ࠧ訬 뢠 IRQ2(), IRQ1(), TIMER()					}
{												, , SPORT0 Transmit()	}
	IMASK=DM(IMASK_WORK); NOP;

MainLoop:
	CALL PutAcdData;
	CALL GetDacData;
	CALL CheckForLastDacSample;
	CALL SetDacSample;

	JUMP MainLoop;

{ *********************************************************************	}
{ 楤 । ⮢   FIFO    					}
{ *********************************************************************	}
PutAcdData:
{  㦭  ।   ?												}
	AR=DM(IsAdcDataReady);
	NONE= PASS AR;
	IF EQ RTS;

{ ஢ਬ ࠧ襭   뢠  PC								}
	AR=DM(CurEnableAdcIrq);
	NONE= PASS AR;
	IF NE JUMP TestForAdcPcIrq;

ContinuePutAdcData:
	AR=DM(Prog_Flag_Data);				{ ⠥  ⮢				}
	AR=TSTBIT 1 OF AR;					{ 뤥   ஢ਬ  		}
	IF NE JUMP FinishPutAdcData;		{ ᫨  ,  室		 		}
	AR=DM(I0, M0);	 						{ ⠥ ᫮  FIFO 		}
	IO(PC_OUT)=AR;							{ 諥 ᫮	 						}

	AR=DM(AdcCounter);
	AR=AR-1;
	DM(AdcCounter)=AR;
	IF EQ CALL StopAdcDataTransfering;

FinishPutAdcData:
	RTS;

{ *********************************************************************	}
{ 㭪 ஢ન ⮢ ஢ 뢠  					}
{ *********************************************************************	}
TestForAdcPcIrq:
{     㦥   뢠  ?							}
	AR=DM(Prog_Flag_Data);
	AR=TSTBIT 6 OF AR;
	IF NE JUMP FinishPutAdcData;

{ 訩   '1' - 뢠  											}
	AR=0x1;
	IO(INTR_FLAG)=AR;
{ ᨬ 䫠 ⥪饣 ࠧ襭 뢠  						}
	AR=0x0;
	DM(CurEnableAdcIrq)=AR;

{ ਬ 뢠  PC																}
	AR=IO(INTERRUPT);

	JUMP ContinuePutAdcData;

{ *********************************************************************	}
{ ⠭ 뫪   														}
{ *********************************************************************	}
StopAdcDataTransfering:
{ ᨬ 䫠 ⮢   FIFO  ।  					}
	AR=0x0;
	DM(IsAdcDataReady)=AR;

{ ந樠㥬 䫠 ⥪饣 ࠧ襭 뢠  			}
	AR=DM(EnableAdcIrq);
	DM(CurEnableAdcIrq)=AR;

{  ⮢    ।  											}
	AR=DM(AdcDataStep);
	DM(AdcCounter)=AR;

	RTS;

{ *********************************************************************	}
{ 楤 ਥ     FIFO  								}
{ *********************************************************************	}
GetDacData:
{  - ࠡ  ࠧ襭?													}
	AR=DM(DAC_Enable);
	NONE= PASS AR;
	IF EQ RTS;

{  뢠   ࠡ   ?								 }
	AR=DM(CurEnableDacIrq);
	NONE= PASS AR;
	IF NE JUMP TestForDacPcIrq;

	AR=I4;									{ 稬 '' FIFO 			}
	AY0=I6;  								{ 稬 '墮' FIFO 				}
	NONE=AR-AY0;							{ ࠢ 								}
	IF EQ RTS;								{ ᫨ ࠢ,  멤					}

ContinueGetDacData:
	AR=DM(Prog_Flag_Data);				{ ⠥  ⮢				}
	AR=TSTBIT 2 OF AR;					{ 뤥   ஢ਬ  		}
	IF NE RTS;								{ ᫨  ,  멤				}

	AR=IO(PC_IN);							{ ⠥ । 祭			}
	AY0=0xAAAA;								{ ᫨ 諮 0xAAAA,  筮 		}
	NONE=AR-AY0;							{ 몫砥 							}
	IF EQ JUMP TotalDacOff;
	PM(I6, M6)=AR;							{    FIFO  		}

	AR=DM(DacCounter);
	AR=AR-0x1;
	DM(DacCounter)=AR;
	IF EQ CALL SetDacReseivePars;

FinishGetDacData:
	RTS;

{ *********************************************************************	}
{ 㭪 ஢ન ⮢ ஢ 뢠  					}
{ *********************************************************************	}
TestForDacPcIrq:
{     㦥   뢠  ?							}
	AR=DM(Prog_Flag_Data);
	AR=TSTBIT 6 OF AR;
	IF NE JUMP FinishGetDacData;

	AR=I4;									{ 稬 '' FIFO 			}
	AY0=I6;  								{ 稬 '墮' FIFO 				}
	AR=AR-AY0;
	AY0=DM(DacFifoLength);
	IF LT AR=AR+AY0;			{ ⥯  AR ⨭ ࠧ  I4  I6	}
	AY0=DM(DacDataStep);
	NONE=AR-AY0;    						{ ࠢ   稭 蠣 	}
	IF LT JUMP FinishGetDacData;		{ ᫨ ,  멤				}

{ 0x2 - 뢠  																}
	AR=0x2;
	IO(INTR_FLAG)=AR;
{ ᨬ 䫠 ⥪饣 ࠧ襭 뢠  						}
	AR=0x0;
	DM(CurEnableDacIrq)=AR;

{ ਬ 뢠  PC																}
	AR=IO(INTERRUPT);

	JUMP ContinueGetDacData;

{ *********************************************************************	}
{  몫祭 																	}
{ *********************************************************************	}
TotalDacOff:
{ ⨬ ࠡ 																	}
	AR=0x0;
	DM(DAC_Enable)=AR;

{ ᨬ ᮮ⢥騩   ६ ᪥ 뢠					}
	AR=DM(IMASK_WORK);
	AR= CLRBIT 6 OF AR;
	DM(IMASK_WORK)=AR;
	IMASK=AR; NOP;

	JUMP FinishGetDacData;

{ *********************************************************************	}
{ ⠭ 室 ࠬ  祭   		}
{ *********************************************************************	}
SetDacReseivePars:
{ ந樠㥬 䫠 ⥪饣 ࠧ襭 뢠  			}
	AR=DM(EnableDacIrq);
	DM(CurEnableDacIrq)=AR;

{  ⮢    ।  											}
	AR=DM(DacDataStep);
	DM(DacCounter)=AR;

	RTS;

{ *********************************************************************	}
{ ஢ઠ  ᫥   뢮  								}
{ *********************************************************************	}
CheckForLastDacSample:
{ ᫥ 室 祭   㦥 뢥?			 				}
	AR=DM(IsLastDacSampleIrq);
	NONE= PASS AR;
	IF NE JUMP TerminateDacStream;

{  - ࠡ  ࠧ襭?													}
	AR=DM(DAC_Enable);
	NONE= PASS AR;
	IF EQ RTS;

	M7=0x0;
	AR=PM(I4, M7);
	AY0=0xFFFF;
	NONE=AR-AY0;
	IF EQ JUMP ModifyDacMode;

	RTS;

{ *********************************************************************	}
{  ०  ᫥   뢮  						}
{ *********************************************************************	}
ModifyDacMode:
{ ⨬   뢠 SPORT0 Receive									}
	IFC=0x20; NOP;

{ ᨬ ᮮ⢥騩   ६ ᪥ 뢠					}
	AR=DM(IMASK_WORK);
	AR= CLRBIT 6 OF AR;
	DM(IMASK_WORK)=AR;
	AR= SETBIT 5 OF AR;
	IMASK=AR; NOP;

{ ⨬ ࠡ 																	}
	AR=0x0;
	DM(DAC_Enable)=AR;

	RTS;

{ *********************************************************************	}
{  뢮 뢮  													}
{ *********************************************************************	}
SetDacSample:
{ ⭮ 뢮  , ⮫쪮 ᫨ ࠡ    饭	}
	AR=DM(DAC_Enable);
	NONE= PASS AR;
	IF NE RTS;

	AR=DM(Prog_Flag_Data);				{ ⠥  ⮢				}
	AR=TSTBIT 2 OF AR;					{ 뤥   ஢ਬ  		}
	IF NE RTS;								{ ᫨  ,  멤				}

	AR=IO(PC_IN);						{ ⠥ 祭  					}
	SR=LSHIFT AR BY -13 (LO);		{   ।  筮 }
	AF=SR0-0x1;							{ 뢮 	 13    '1',}
	IF NE RTS;							{  14  15 ⠭  '0'				}
	TX0=AR; 								{ 孥   SPORT0	 			}

	RTS;

{ *********************************************************************	}
{ ⠭ 뢮 ⮪   												}
{ *********************************************************************	}
TerminateDacStream:
{     㦥   뢠  ?							}
	AR=DM(Prog_Flag_Data);
	AR=TSTBIT 6 OF AR;
	IF NE RTS;

{ 0x3 -  ⠭																	}
	AR=0x3;
	IO(INTR_FLAG)=AR;

{ ਬ 뢠  PC																}
	AR=IO(INTERRUPT);

{ ᨬ 䫠 室  뢠  						}
	AR=0x0;
	DM(IsLastDacSampleIrq)=AR;

	RTS;

{ *********************************************************************	}
{   ࠡ 																	}
{ *********************************************************************	}
StartAdc:
{ ⠭ ⠭ ࠡ稪 뢠 IRQ1 							}
	AR=^Irq1_Handler;
	I7=AR;
	AR=^GetAdData;
	CALL ModifyJump;

{ ந樠㥬 室 㪠⥫  ६ 					}
	CALL InitAdcPointers;

{ ⠭  																}
	I5=^Control_Table;
	AR=DM(I5, M5);
	IO(SET_ADC_CHANNEL)=AR;

{ ***** ⠭ ࠬ ࠡ ⠩ *****								}
{ প  ࢮ   FIFO                   			}
	AR=DM(FirstSampleDelay);
	DM(Tcount_Reg)=AR;
{ ⠭ ⥪ 稭 襣 祭 ਮ 				}
	AR=DM(Inter_Kadr_Period);
	DM(Tperiod_Reg)=AR;
	AR=DM(Inter_Kadr_Scale);
	DM(Tscale_Reg)=AR;

{ ࠧ訬 ࠡ ⠩																}
	ENA TIMER;

	RTS;

{ *********************************************************************	}
{ ࠡ稪 뢠 IRQ2 (ࠡ稪  )						}
{ *********************************************************************	}
Irq2Handler:
	ENA SEC_REG;							{ ३  ன  ॣ஢	}

	CALL WaitWriteFromPc;   			{   PC   	}
	AR=IO(PC_IN);
	DM(Command)=AR;
	NONE= PASS AR;
	IF EQ JUMP Test_cmd;       				{   0					}
	AR=AR-1;
	IF EQ JUMP Read_Dm_Word_cmd; 				{   1					}
	AR=AR-1;
	IF EQ JUMP Write_Dm_Word_cmd; 			{   2					}
	AR=AR-1;
	IF EQ JUMP Read_Pm_Word_cmd; 				{   3					}
	AR=AR-1;
	IF EQ JUMP Write_Pm_Word_cmd; 			{   4					}
	AR=AR-1;
	IF EQ JUMP Read_Dm_Array_cmd; 			{   5					}
	AR=AR-1;
	IF EQ JUMP Write_Dm_Array_cmd; 			{   6					}
	AR=AR-1;
	IF EQ JUMP Read_Pm_Array_cmd; 			{   7					}
	AR=AR-1;
	IF EQ JUMP Write_Pm_Array_cmd; 			{   8					}
	AR=AR-1;
	IF EQ JUMP Enable_Flash_Write_cmd;		{   9					}
	AR=AR-1;
	IF EQ JUMP Read_Flash_Word_cmd;			{   10				}
	AR=AR-1;
	IF EQ JUMP Write_Flash_Word_cmd;			{   11				}
	AR=AR-1;
	IF EQ JUMP Start_cmd;						{   12				}
	AR=AR-1;
	IF EQ JUMP Set_ADC_Pars_cmd;				{   13				}
	AR=AR-1;
	IF EQ JUMP ADC_Fifo_Config_cmd;   		{   14  				}
	AR=AR-1;
	IF EQ JUMP Ad_Channel_cmd;   				{   15  				}
	AR=AR-1;
	IF EQ JUMP Synchro_Config_cmd; 			{   16				}
	AR=AR-1;
	IF EQ JUMP DAC_Fifo_Config_cmd;   		{   17  				}
	AR=AR-1;
	IF EQ JUMP Set_DAC_Rate_cmd;				{   18				}
	AR=AR-1;
	IF EQ JUMP Enable_TTL_Out_cmd; 			{   19				}
	AR=AR-1;
	IF EQ JUMP Get_TTL_cmd;   					{   20				}
	AR=AR-1;
	IF EQ JUMP Put_TTL_cmd;   					{   21				}
	AR=AR-1;
	IF EQ JUMP IRQ_Test_cmd;					{   22				}
	AR=AR-1;
	IF EQ JUMP Set_Memory_Page_cmd;  		{   23				}
	AR=AR-1;
	IF EQ JUMP Set_DSP_Type_cmd;				{   24				}

	JUMP GotoIdle;

{ *********************************************************************	}
{ ⮢ .                                                   	}
{ ᫥ 室  祩	  TestLoadVar								}
{  													  ᫮ 0xAA55		}
{ *********************************************************************	}
Test_cmd:
	AR=0xAA55;							{ ⮢ 祭							}
	DM(TestLoadVar)=AR;	 			{ ᮮ騬 PC  ⮬,    浪	}

{ *********************************************************************	}
{ 室  뢠  ०  IDLE										}
{ *********************************************************************	}
GotoIdle:
	DIS INTS;	 						{ ⨬  뢠					}

{ ⨬  ⥪ 																		}
ClearStacks0:
	POP STS, POP PC, POP CNTR, POP LOOP;
	ENA SEC_REG;						{ ३  ன  ॣ஢		}
	AR=SSTAT;
	AY0=0x55;
	AR=AR AND AY0;
	AR=AR XOR AY0;
	IF NE JUMP ClearStacks0;{ ᫨   ⥪ ⨫,  ਬ	}

	DIS TIMER;      			{ 몫稬 ⠩ - ஢ প		}
{ ⠭  몫稢 , .. ᤥ SCLK1 譨					}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

	AR=^IdleLoop;
	TOPPCSTACK=AR;					{ ᥬ  楤 			}
	IMASK=DM(IMASK_IDLE); NOP;	{ ࠧ訬 뢠 IRQ2 - 		}

	AR=DM(Command);
	IO(PC_OUT)=AR;	NOP;		{ ᮮ騬  PC  ࠡ⠭ 		}

{     ⠥  믮 							}
WaitIdleLoop:
	AR=DM(Prog_Flag_Data);	{ ⠥  ⮢							}
	AR=TSTBIT 1 OF AR;		{ 뤥   ஢ਬ  					}
	IF NE JUMP WaitIdleLoop;{ ᫨  ,   					}

	DIS SEC_REG;				{ ३    ॣ஢				}
	PUSH STS;					{   ⥪									}

	IMASK=0x0; NOP;         { ᪨㥬  뢠						}
	ENA INTS;  					{ ࠧ訬  뢠							}

	IFC=0xFF; NOP; NOP;		{ ᨬ    뢠				}

	RTI;

{ *********************************************************************	}
{ ࠡ稪 뢠 IRQE -  ᨭ஭							}
{ *********************************************************************	}
IrqEHandler:
	ENA SEC_REG;			{ ३  ன  ॣ஢					}

{ ஢ਬ ⨯ ᨭ஭樨															}
	AR=DM(SynchroType);
	NONE= PASS AR;
	IF NE JUMP TtlKadrSynchroStart;

{    ॣ IMASK   祭								}
	DIS INTS;
	POP STS;

{ ࠧ訬 ࠡ ⠩																}
	ENA TIMER;

{ ࠧ訬 뢠 IRQ2(), IRQ1()  TIMER()					}
	IMASK=DM(IMASK_WORK); NOP;

TtlKadrSynchroStartLab:
	DIS SEC_REG; 			{ ३    ॣ஢					}

	PUSH STS;

	IMASK=0x0; NOP;
	ENA INTS;

	ENA SEC_REG;			{ ३  ன  ॣ஢					}

{ ⠭ 䫠,  ࠧ襭 ࠡ 										}
	AR=0x1;
	DM(ADC_Enable)=AR;

{ ⨬   뢠, ஬ SPORT0 Transmit ()  IRQ2		}
	IFC=0x3F; NOP; NOP;

	RTI;

{ *********************************************************************	}
{	 -஢ ᨭ஭樨													}
{ *********************************************************************	}
TtlKadrSynchroStart:
{ 訬  稢 , .. ᤥ SCLK1 ७					}
	AR = 0x7F1F; 						{ 0111 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR; 		{ 0x3FF2 - SPORT1 Control Register		}

{ AX1 -  稪 ⮢  													}
	AR=DM(Control_Table_Lenght);
	AX1=AR;

{ ࠧ訬 뢠 IRQ2(), IRQ1()  TIMER()					}
	AR=DM(IMASK_WORK);
	AR= CLRBIT 0 OF AR;				{ ⨬ 뢠 TIMER				}

{    ॣ IMASK   祭								}
	DIS INTS;
	POP STS;
	ENA SEC_REG;			{ ३  ன  ॣ஢					}

	IMASK=AR;

	JUMP TtlKadrSynchroStartLab;

{ *********************************************************************	}
{	⠭ 㪠⥫	 														}
{ *********************************************************************	}
InitAdcPointers:
{  ⨯ ⠭   DSP											}
{  ADSP-2184 㦭 DSP_Type=0,      	                     			}
{   ADSP-2185 - DSP_Type=1, 		     	                     			}
{   ADSP-2186 - DSP_Type=2  		  			                    			}
	AR=DM(DSP_Type);
	AR= ABS AR;
	AF=AR-2;         		{ ६ DSP_Type  : 0, 1  2	}
	IF GT AR= PASS 0;		{  ⠭ ࠢ 0, .. ADSP-2184	}
	DM(DSP_Type)=AR;
	CALL SetPmDmOvlays;

{ ⠭ ࠬ  ४஢ 室 						}
	I0=^Control_Table;
	M0=1;
	L0=0;

	I1=^ZeroOffsetArray;
	M1=1;
	L1=DM(Control_Table_Lenght);

	I5=^ScaleFactorArray;
	M5=1;
	L5=DM(Control_Table_Lenght);
	L2=0x0;

	AR=DM(IsCorrectionEnable);
	NONE= PASS AR;				{ ࠧ襭  ४஢ 室 	}
	IF EQ JUMP NoCorrection;{ ᫨ , ⮢ ᮮ⢥騩 ᨢ		}

	CNTR=DM(Control_Table_Lenght);
	DO CtrlLoop UNTIL CE;
		AR=DM(I0, M0);
		SR=LSHIFT AR BY -6 (LO);
		M2=SR0;

{	 	Set ZeroOffset																		}
		I2=^ZeroOffset;

		MODIFY(I2,M2);
		AR=DM(I2,M2);
		DM(I1,M1)=AR;

{	 	Set ScaleFactor																	}
		I2=^ScaleFactor;
		MODIFY(I2,M2);
		AR=DM(I2,M2);
		DM(I5,M5)=AR;
CtrlLoop:  	NOP;

ContinueAdcPar:
{ Set pointer to Control_Table														}
	I5=^Control_Table;
	M5=1;
	L5=DM(Control_Table_Lenght);

{ Set ADC Fifo Parameters																}
	I3=DM(AdcFifoBaseAddress);
	M3=0x0;
	L3=DM(AdcFifoLength);
{	DM(AdcFifoPointer)=I3;	----- NOT USED -----									}

{ 㪠⥫  , 㤠 뢠   								}
	I0=DM(AdcFifoBaseAddress);
	M0=1;
	L0=DM(AdcFifoLength);

{ ᨬ 䫠 ⮢   FIFO   ।  				}
	AR=0x0;
	DM(IsAdcDataReady)=AR;
{  䫠 ࠡ  ० -஢ ᨭ஭樨							}
	DM(IsTtlKadrSynchro)=AR;

{ ந樠㥬 䫠 ⥪饣 ࠧ襭 뢠  			}
	AR=DM(EnableAdcIrq);
	DM(CurEnableAdcIrq)=AR;

{  ⮢    ।  											}
	AR=DM(AdcDataStep);
	DM(AdcCounter)=AR;

{ ᨢ 樥⮢  ४஢ ᬥ饭  					}
	I1=^ZeroOffsetArray;
	M1=0x1;
	L1=DM(Control_Table_Lenght);

{ ᨢ 樥⮢  ४஢ ⠡ 							}
	I2=^ScaleFactorArray;
	M2=0x1;
	L2=DM(Control_Table_Lenght);

	AR=0x0;
	DM(IsAdcSample)=AR;

	ENA SEC_REG;			{ ३  ன  ॣ஢					}

{ AF - 稪 蠣 ⮢    ।   					}
	AR=DM(AdcDataStep);
	AR=AR+0x1;           {  ࢮ ᪠   			}
	AF= PASS AR;

	DIS SEC_REG;  			{ ३    ॣ஢					}

	RTS;

{ *********************************************************************	}
{ ᫨ ४஢  㦭, ⮢ ᮮ⢥騩 ᨢ				}
{ *********************************************************************	}
NoCorrection:
	CNTR=DM(Control_Table_Lenght);
	DO CtrlLoop1 UNTIL CE;
{	 	Set ZeroOffset																		}
		AR=0x0;
		DM(I1,M1)=AR;

{	 	Set ScaleFactor																	}
		AR=0x7FFF;
		DM(I5,M5)=AR;

CtrlLoop1: 	NOP;

	JUMP ContinueAdcPar;

{ *********************************************************************	}
{	⠭ 㪠⥫  														}
{ *********************************************************************	}
InitDacPointers:
{   砫   FIFO      ணࠬ PM DSP		}
{	ADSP-2184:  - PM 0x0C00 (3072), .  - 0x400 (1024)		}
{	ADSP-2185:  - PM 0x3000 (12288), .  - 0x1800 (6144)		}
{	ADSP-2186:  - PM 0x1800 (6144), .  - 0x800 (2048)		}
	AR=DM(DSP_Type);
	AF=PASS AR;
	AR=0xC00;			{  FIFO    ADSP-2184					}
	AY0=0x400;			{ ᨬ쭠  FIFO    ADSP-2184	}
	IF EQ JUMP SetDacFifoParam;
	AR=0x3000;			{  FIFO    ADSP-2185					}
	AY0=0x1000;			{ ᨬ쭠  FIFO    ADSP-2185	}
	AF=AF-1;
	IF EQ JUMP SetDacFifoParam;
	AR=0x1800;			{  FIFO    ADSP-2186					}
	AY0=0x800;			{ ᨬ쭠  FIFO    ADSP-2186	}

SetDacFifoParam:
	DM(DacFifoBaseAddress)=AR;	{  FIFO  							}
{	DM(DacFifoPointer)=AR;	----- NOT USED -----									}
	AR=DM(DacFifoLength);		{ ⥪  FIFO  				}
	NONE=AR-AY0;
	IF GT AR= PASS AY0;
	DM(DacFifoLength)=AR;		{  FIFO  							}

	I4=DM(DacFifoBaseAddress);
	M4=0x1;
	L4=DM(DacFifoLength);
	I6=DM(DacFifoBaseAddress);
	M6=0x1;
	L6=DM(DacFifoLength);

{ ந樠㥬 䫠 IsLastDacSampleIrq									}
	AR=0x0;
	DM(IsLastDacSampleIrq)=AR;

{ ந樠㥬 䫠 ⥪饣 ࠧ襭 뢠  			}
	AR=DM(EnableDacIrq);
	DM(CurEnableDacIrq)=AR;

{  ⮢    ।  											}
	AR=DM(DacDataStep);
	DM(DacCounter)=AR;

	RTS;

{ *********************************************************************	}
{  ⥭  PC																	}
{ *********************************************************************	}
WaitReadFromPc:
	AR=DM(Prog_Flag_Data);	{ ⠥  ⮢							}
	AR=TSTBIT 1 OF AR;		{ 뤥   ஢ਬ  					}
	IF EQ RTS;					{ ᫨ ,  ⠭  멤					}
	JUMP WaitReadFromPc;		{   									}

{ *********************************************************************	}
{    PC 																}
{ *********************************************************************	}
WaitWriteFromPc:
	AR=DM(Prog_Flag_Data);	{ ⠥  ⮢							}
	AR=TSTBIT 2 OF AR;		{ 뤥   ஢ਬ  					}
	IF EQ RTS;					{ ᫨ ,  ᠭ  멤				}
	JUMP WaitWriteFromPc;	{   									}

{***********************************************************************}
{  ஢ ஢ 뢠  PC							}
{***********************************************************************}
IRQ_Test_cmd:
	DIS INTS;	 							{ ⨬  뢠				}

{ ⨬  ⥪ 																		}
ClearStacksIRQTest:
	POP STS, POP PC, POP CNTR, POP LOOP;
	ENA SEC_REG;							{ ३  ன  ॣ஢	}
	AR=SSTAT;
	AY0=0x55;
	AR=AR AND AY0;
	AR=AR XOR AY0;
	IF NE JUMP ClearStacksIRQTest;	{ ᫨   ⥪ ⨫, 		}
												{  ਬ								}

{ ⠭  몫稢 , .. ᤥ SCLK1 譨					}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

	DIS TIMER;      				{ 몫稬 ⠩ - ஢ প	}

	AR=^IRQ_PC;
	AY0=^IdleLoop;
	AX0=DM(EnableAdcIrq);
	NONE= PASS AX0;
	IF EQ	AR= PASS AY0;
	TOPPCSTACK=AR;

	AR=DM(Command);
	IO(PC_OUT)=AR; NOP;			{ ᮮ騬  PC  ࠡ⠭ 	}

{     ⠥  믮 							}
WaitIrqCmdLoop:
	AR=DM(Prog_Flag_Data);		{ ⠥  ⮢					  	}
	AR=TSTBIT 1 OF AR;			{ 뤥   ஢ਬ  				}
	IF NE JUMP WaitIrqCmdLoop;	{ ᫨  ,   				}

	IMASK=DM(IMASK_IDLE); 		{ ࠧ訬 뢠 IRQ2 - 		}
	DIS SEC_REG;					{ ३    ॣ஢			}
	PUSH STS;						{   ⥪								}

	IMASK=0x0; NOP;  				{ ᪨㥬  뢠					}
	ENA INTS;  						{ ࠧ訬  뢠						}

	IFC=0xFF; NOP; NOP;			{ ᨬ    뢠			}

	RTI;

{***********************************************************************}
{ ஢ ஢ 뢠	                        		}
{***********************************************************************}
IRQ_PC:
	DIS SEC_REG;
	IMASK=0x200; NOP;

Loop_IRQ:
	CNTR=1000;
	DO Lab UNTIL CE;
		CNTR=100;
		DO Lab1 UNTIL CE;
	Lab1:	NOP;
Lab:	NOP;

{ ਬ 뢠  PC																}
	AR=IO(INTERRUPT);

	JUMP Loop_IRQ;

#include "adcdac.h"
#include "fifo.h"
#include "memory.h"
#include "flash.h"
#include "synchro.h"
#include "adchanel.h"
#include "ttl.h"

{***********************************************************************}
{ ன ணࠬ  ᮮ⢥騩 ⨯ DSP                    		}
{***********************************************************************}
Set_DSP_Type_cmd:
{ ⠭  몫稢 , .. ᤥ SCLK1 譨					}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

{  ⨯ ⠭   DSP											}
{  ADSP-2184 㦭 DSP_Type=0,      	                     			}
{   ADSP-2185 - DSP_Type=1, 		     	                     			}
{   ADSP-2186 - DSP_Type=2  		  			                    			}
	AR=0x3000;					{  ADSP-2185  ADSP-2186						}
	AY0=DM(DSP_Type);
	AF= PASS AY0;
	IF EQ	AR= PASS 0x2000;	{  ADSP-2184				 						}
	SI=AR;			{  ,  ।  㭪 䨪樨  	}

{ 㥬  ।⢥ ⥭   						}
{ 						/  , . Reg=DM(xxxx)  DM(xxxx)=Reg	}
	I4=0x0; M4=1; L4=0; M5=1;
	AR=^Set_DSP_Type_cmd;
	CNTR=AR;
	DO ReadWriteDMLoop UNTIL CE;
		I5=I4;
		AR=PM(I4, M4);
		AF= TSTBIT 15 OF AR;
		IF NE CALL Test14BitDM;
ReadWriteDMLoop: NOP;

{ 㥬  ।⢥   ॣ 樨 (I0, I1, ...)		}
	I4=0x0; M4=1; L4=0; M5=1;
	AR=^Set_DSP_Type_cmd;
	CNTR=AR;
	DO LoadRegLoop UNTIL CE;
		I5=I4;
		AR=PM(I4, M4);
		AF= TSTBIT 15 OF AR;
		IF EQ CALL Test14BitI;
LoadRegLoop: NOP;

	AY0=DM(DSP_Type);
	NONE= PASS AY0;
	IF EQ	JUMP SkipCopyDmData;	{  ADSP-2184			 						}

	I4=0x2800; M4=1; L4=0;
	I5=0x3800; M5=1; L5=0;
	CNTR=0x7E0;
	DO CopyDmData UNTIL CE;
		AR=DM(I4, M4);
CopyDmData:	DM(I5, M5)=AR;

{ ⨬  ⥪																	}
SkipCopyDmData:
	DIS INTS;	 				{ ⨬  뢠							}

{ ⨬  ⥪ 																		}
ClearStacksSetDSP:
	POP STS, POP PC, POP CNTR, POP LOOP;
	ENA SEC_REG;			{ ३  ன  ॣ஢					}
	AR=SSTAT;
	AY0=0x55;
	AR=AR AND AY0;
	AR=AR XOR AY0;
	IF NE JUMP ClearStacksSetDSP;		{ ᫨   ⥪ ⨫, 		}
												{  ਬ								}
	IMASK=0x0; NOP;      { ᪨㥬  뢠							}
	ENA INTS;  				{ ࠧ訬  뢠								}

	AR=0x0; 					{ ᪠ ணࠬ 							}
	TOPPCSTACK=AR;			{ ᥬ    		  					}
	DIS SEC_REG;			{ ३    ॣ஢					}
	PUSH STS;				{   ⥪										}
	ENA SEC_REG;			{ ३  ன  ॣ஢					}

	AR=DM(Command);
	IO(PC_OUT)=AR;	NOP;	{ ᮮ騬  PC  ࠡ⠭ 			}

{     ⠥  믮 							}
WaitDSPTypeLoop:
	AR=DM(Prog_Flag_Data);		{ ⠥  ⮢					  	}
	AR=TSTBIT 1 OF AR;			{ 뤥   ஢ਬ  				}
	IF NE JUMP WaitDSPTypeLoop;{ ᫨  ,   				}

	IFC=0xFF; NOP; NOP;			{ ⨬    뢠			}

	RTI;

{***********************************************************************}
{ ஢ઠ 14   ॣ AR	 樨 Type 3						}
{***********************************************************************}
Test14BitDM:
		AF= TSTBIT 14 OF AR;
		IF EQ CALL Test13BitDM;
		RTS;

{***********************************************************************}
{ ஢ઠ 13   ॣ AR	 樨 Type 3						}
{***********************************************************************}
Test13BitDM:
		AF= TSTBIT 13 OF AR;
		IF EQ CALL ModifyReadWriteDM;
      RTS;

{ *********************************************************************	}
{   PM     Reg=DM(0x(3/2)xxx) 			}
{																 DM(0x(3/2)xxx)=Reg	}
{ 室:                                                     	  			}
{      I5 - , 㤠 뢠              					}
{      SI -   0x(3/2)xxx	(୥ 訥  )			}
{ *********************************************************************	}
ModifyReadWriteDM:
{ ᫨    Memory-Maped Control Register,   멤	}
	SR=LSHIFT AR BY 6 (LO);
	SR=LSHIFT SR0 BY -2 (LO);	{ 뤥   樨					}
	AY0=0x3FE0;
	NONE=SR0-AY0;
	IF GE RTS;		{ ᫨  Memory-Maped Control Register,  멤	}

{ ନ㥬   																}
	AR= CLRBIT 9 OF AR;
	AR= CLRBIT 8 OF AR;
	SR0=AR;
	SR=SR OR LSHIFT SI BY -4 (LO);
	PM(I5,M5)=SR0;							{ ࠭  24-⮢ ᫮ 	}
	RTS;

{***********************************************************************}
{ ஢ઠ 14   ॣ AR	 樨 Type 7						}
{***********************************************************************}
Test14BitI:
	   AF= TSTBIT 14 OF AR;
		IF EQ CALL Test13BitI;
      RTS;

{***********************************************************************}
{ ஢ઠ 13   ॣ AR	 樨 Type 7						}
{***********************************************************************}
Test13BitI:
	   AF= TSTBIT 13 OF AR;
		IF NE CALL Test12BitI;
      RTS;

{***********************************************************************}
{ ஢ઠ 12   ॣ AR	 樨 Type 7						}
{***********************************************************************}
Test12BitI:
	   AF= TSTBIT 12 OF AR;
		IF NE CALL Test11BitI;
      RTS;

{***********************************************************************}
{ ஢ઠ 11   ॣ AR	 樨 Type 7						}
{***********************************************************************}
Test11BitI:
      MR1=AR;
	   AF= TSTBIT 11 OF AR;
		IF NE CALL Test10BitIP;
      AR=MR1;
	   AF= TSTBIT 11 OF AR;
		IF EQ CALL Test10BitID;
      RTS;

{***********************************************************************}
{ ஢ઠ 10   ॣ AR	 樨 Type 7						}
{***********************************************************************}
Test10BitIP:
	   AF= TSTBIT 10 OF AR;
	   IF EQ CALL ModifyLoadNonDataRegister;
      RTS;

{***********************************************************************}
{ ஢ઠ 10   ॣ AR	 樨 Type 7						}
{***********************************************************************}
Test10BitID:
	   AF= TSTBIT 10 OF AR;
	   IF NE CALL ModifyLoadNonDataRegister;
      RTS;

{ *********************************************************************	}
{ 㥬  ।⢥    ॣ I0...I7	}
{   PM     Ix=<data>							}
{ 室:                                                     	  			}
{      I5 - , 㤠 뢠              					}
{      SI -  祭 <data>	(୥ 訥 )					}
{ *********************************************************************	}
ModifyLoadNonDataRegister:
{ 뤥塞  ᭮ ॣ I0...I7										}
   AX0=PX;
   AY0=0x0F;
   AF=AX0 AND AY0;
   AX0=0x3;
   AF=AX0-AF;
   IF LT RTS;  { ᫨    ॣ I0...I7,  室			}

{ ନ㥬   																}
   AR= CLRBIT 9 OF AR;
   AR= CLRBIT 8 OF AR;
	SR0=AR;
	SR=SR OR LSHIFT SI BY -4 (LO);
	PM(I5,M5)=SR0;							{ ࠭  24-⮢ ᫮ 	}
	RTS;

.ENDMOD;
